POST /fileobject/upload

POST /fileobject/upload

/fileobject/upload

Request
URI
POST
https://{api_host}/api/fileobject/upload
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

UploadParams

UploadParams of type(s) application/json
Required  

Show optional properties

{
    "name": "string"
}
{
    "allow_update": false,
    "collate": false,
    "compressed": false,
    "description": "string",
    "expires_at": "string",
    "gslb_geodb_format": "string",
    "is_federated": false,
    "name": "string",
    "part": "string",
    "path": "string",
    "read_only": false,
    "restrict_download": false,
    "size": 0,
    "type": "string",
    "update_interval": 0,
    "url": "string"
}
boolean
allow_update
Optional

Allow updating an existing FileObject with the same name. Currently enforced for OPEN_API_SPEC type only without this flag, a POST whose name matches an existing OAS FileObject returns HTTP 409. . Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
collate
Optional

Signal to merge all previously uploaded parts into the final file. Set to true on the last request of a chunked upload sequence. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
compressed
Optional

Whether the file is gzip-compressed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
description
Optional

A short user-friendly description related to the uploaded file. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
expires_at
Optional

Timestamp indicating when the file can be automatically deleted. Used for garbage collection by CRL and IP Reputation file types. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
gslb_geodb_format
Optional

This field indicates the file format(Avi/Maxmind and v4/v6/v4-v6) of GSLB geodb file type. . Enum options - GSLB_GEODB_FILE_FORMAT_AVI, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V6, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V4_AND_V6, GSLB_GEODB_FILE_FORMAT_AVI_V6, GSLB_GEODB_FILE_FORMAT_AVI_V4_AND_V6. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
is_federated
Optional

This field determines if an object is replicated across the GSLB federation (true) or visible within the controller-cluster and its service engines (false). Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Name of the file. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
part
Optional

Part identifier for chunked or multipart uploads. When set, indicates a partial upload in progress. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
path
Optional

Source Path of the File in the local disk. Only applicable in CLI. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
read_only
Optional

Enforce read-only on the file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
restrict_download
Optional

Restrict download of the file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
size
Optional

Size of the file in bytes. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
type
Optional

Type of the file. Enum options - OTHER_FILE_TYPES, IP_REPUTATION, GEO_DB, TECH_SUPPORT, HSMPACKAGES, IPAMDNSSCRIPTS, CONTROLLER_IMAGE, CRL_DATA, IP_REPUTATION_IPV6, GSLB_GEO_DB, CSRF_JS, KNOWN_HOSTS, OPEN_API_SPEC. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
update_interval
Optional
Constraints: default: 1440

Interval in minutes to check for update. If not specified, interval will be 1 day. This field is applicable in the CRL context. . Allowed values are 30-525600. Field introduced in 30.2.1. Unit is MIN. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Optional

URL to download the CRL file. This field is applicable in the CRL context. . Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/fileobject/upload